class LoginController < ApplicationController
  #skip_filter :login_required

  def index
    # show login screen
    session[:last_url] = request.referrer
  end
  
  def login
    if not request.post?
      login_error('Invalid request.')
    elsif person = Person.authenticate(params[:login][:name], params[:login][:password])
      last_url = session[:last_url]
      reset_session # Prevents session fixation
      session[:auth] = person
      redirect_to last_url
    else
      login_error('Your name and password are invalid.')
    end
  end

  def logout
    reset_session
    flash[:notice] = 'You have been logged out.'
    redirect_to '/'
  end
  
  protected
  def login_error(msg)
    flash[:notice] = msg
    render :action => 'index'
  end
end
